<?php
 /**
 *      [XCECP] (C) Colorful Network Inc.
 *      This is NOT a freeware, use is subject to license terms
 */
if(!defined("IN_QKWEB")){exit("Access Denied");}
class ShopModel extends BaseModel{
	public $msg='';
	function getInfo($id){
		global $siteConf;
		if(!$id || !settype($id,"integer")){return false;}
		$wheres='';if(defined('SITE_ID')  && !$GLOBALS['siteConf']['share']){$wheres .= " and (siteId='".SITE_ID."' or siteId=0)";}
		$sql = "select * from `qk_shop` where id='$id' $wheres";
		$info = $this->db->getRow($sql);
		if(!$info){
			$info['title'] = $GLOBALS['siteConf']['title'];
			$info['keywords'] = $GLOBALS['siteConf']['keywords'];
			$info['description'] = $GLOBALS['siteConf']['description'];
		}
		return $info;
	}
}
?>